petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatSolveTransposeAdd

Computes x = y + inv(Transpose(A)) b, given a factored matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSolveTransposeAdd(Mat mat,Vec b,Vec y,Vec x)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the factored matrix
| b | - the right-hand-side vector
| y | - the vector to be added to

### Output Parameter

x -the result vector

### Notes

The vectors b and x cannot be the same. I.e., one cannot call MatSolveTransposeAdd(A,x,y,x).

Most users should employ the simplified KSP interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., KSPCreate().

### See Also

MatSolve(), MatSolveAdd(), MatSolveTranspose()

### Level

developer

### Location

src/mat/interface/matrix.c

### Implementations

MatSolveTransposeAdd_SeqAIJ_inplace in src/mat/impls/aij/seq/aijfact.c
MatSolveTransposeAdd_SeqAIJ in src/mat/impls/aij/seq/aijfact.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages